=== debian/changelog ===
ros-galactic-image-transport (2.5.1-1focal) focal; urgency=high

  * Add alias library targets for all libraries (#261 <https://github.com/ros-perception/image_common/issues/261>)
  * Contributors: Geoffrey Biggs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Nov 2022 00:00:00 -0000

ros-galactic-image-transport (2.5.0-1focal) focal; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Jul 2022 00:00:00 -0000

ros-galactic-image-transport (2.3.1-1focal) focal; urgency=high

  * Simple IT plugins shutdown (#225 <https://github.com/ros-perception/image_common/issues/225>) (#228 <https://github.com/ros-perception/image_common/issues/228>)
  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * make CameraPublisher::getNumSubscribers() work (#163 <https://github.com/ros-perception/image_common/issues/163>)
  * Contributors: Alejandro Hernández Cordero, Geoffrey Biggs, Michael Ferguson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-image-transport (2.3.0-1focal) focal; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Fix QoS initialization from RMW QoS profile (#158 <https://github.com/ros-perception/image_common/issues/158>)
  * Contributors: Jacob Perron, Martin Idel

 -- Michael Carroll <michael@openrobotics.org>  Wed, 27 May 2020 00:00:00 -0000

ros-galactic-image-transport (2.2.1-1focal) focal; urgency=high

  * add missing set header (#140 <https://github.com/ros-perception/image_common/issues/140>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-galactic-image-transport (2.2.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-galactic-image-transport (2.1.1-1focal) focal; urgency=high

  * Update to use new count APIs (#128 <https://github.com/ros-perception/image_common/issues/128>)
  * use latest ros2 API (#127 <https://github.com/ros-perception/image_common/issues/127>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-galactic-image-transport (2.1.0-1focal) focal; urgency=high

  * Update ROS2 branch to account for new NodeOptions interface (#120 <https://github.com/ros-perception/image_common/issues/120>)
  * Contributors: Carl Delsey

 -- Michael Carroll <michael@openrobotics.org>  Thu, 09 May 2019 00:00:00 -0000

ros-galactic-image-transport (2.0.0-1focal) focal; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Pointer api updates (#104 <https://github.com/ros-perception/image_common/issues/104>)
  * Fix rcutils API change by just removing it. (#103 <https://github.com/ros-perception/image_common/issues/103>)
  * [ROS2] corrections to remapping for raw images (#97 <https://github.com/ros-perception/image_common/issues/97>)
  * Make ROS2 ImageTransport conform to old api (#88 <https://github.com/ros-perception/image_common/issues/88>)
  * Image Transport ROS2 Port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2018 00:00:00 -0000

ros-galactic-image-transport (1.11.13-1focal) focal; urgency=high

  * Disable image publisher plugins by name (#60 <https://github.com/ros-perception/image_common/issues/60>)
    * Disable publisher plugins by name
    * Now have per publisher blacklist instead of image_transport wide.
  * update to use non deprecated pluginlib macro
  * Extend documentation of getCameraInfoTopic
    Document the fact that the base_topic argument must be resolved in order to build the correct camera info topic.
  * Added cv::waitkey(10) for blank popup
    Without the cv::waitkey(10), it results in a blank popup which crashes/ leads to a black popup. This change corrects that problem.
    ROS Kinetic, Ubuntu 16.04.3
  * Contributors: Aaditya Saraiya, Lucas Walter, Mikael Arguedas, Thibaud Chupin, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 05 Nov 2017 00:00:00 -0000

ros-galactic-image-transport (1.11.12-1focal) focal; urgency=high

  * Fix CMake of image_transport/tutorial and polled_camera
    Fix loads of problems with the CMakeLists.
  * image_transport/tutorial: Add dependency on generated msg
    Without this, build fails on Kinetic because ResizedImage.h has not been
    generated yet.
  * image_transport/tutorial: Add missing catkin_INCLUDE_DIRS
    Without this, compilation files on Kinetic because ros.h cannot be found.
  * 1.11.11
  * update changelogs
  * Contributors: Martin Guenther, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Jan 2017 00:00:00 -0000

ros-galactic-image-transport (1.11.11-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 24 Sep 2016 00:00:00 -0000

ros-galactic-image-transport (1.11.10-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Jan 2016 00:00:00 -0000

ros-galactic-image-transport (1.11.9-1focal) focal; urgency=high

  * fix linkage in tutorials
  * Use $catkin_EXPORTED_TARGETS
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 17 Jan 2016 00:00:00 -0000

ros-galactic-image-transport (1.11.8-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Nov 2015 00:00:00 -0000

ros-galactic-image-transport (1.11.7-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Jul 2015 00:00:00 -0000

ros-galactic-image-transport (1.11.6-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Jul 2015 00:00:00 -0000


