=== debian/control ===
Source: ros-galactic-image-transport
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-message-filters, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Homepage: http://ros.org/wiki/image_transport
Standards-Version: 3.9.2

Package: ros-galactic-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-message-filters, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Description: image_transport should always be used to subscribe to and publish images.
 It provides transparent support for transporting images in low-bandwidth compressed formats. Examples (provided by separate plugin packages) include JPEG/PNG compression and Theora streaming video.
